Speaker = {
    speakerInit = function(self)
        self.speak_text = ""
        self.speaking = false
    end,

    speak = function(self, text)
        if not self.speaking then
            self.speak_text = text
            self.speaking = true
            self.timer:after(2, function() self.speaking = false; self.speak_text = "" end)
        end
    end,

    speakerDraw = function(self)
        if self.speaking then
            love.graphics.setFont(tutorial_text)
            local w = tutorial_text:getWidth(self.speak_text)
            local h = tutorial_text:getHeight()
            love.graphics.setColor(0, 0, 0, 255)
            love.graphics.rectangle('fill', self.x + 20, self.y - 32, w + 16, h + 16)
            love.graphics.setColor(255, 255, 255, 255)
            love.graphics.rectangle('fill', self.x + 21, self.y - 31, w + 14, h + 14)
            love.graphics.setColor(0, 0, 0, 255)
            love.graphics.print(self.speak_text, self.x + 28, self.y - 24)
            love.graphics.setColor(255, 255, 255, 255)
        end

    end
}
