HittableRed = {
    hittableInit = function(self, interval)
        self.hit = false
        self.hit_color = {192, 192, 192, 255}
        self.interval = interval
    end,

    hittableHit = function(self)
        self.hit = true 
        self.timer:after(self.interval, function()
            self.hit = false
        end)
    end,

    hittableDraw = function(self)
        if self.hit then
            love.graphics.setColorMode('combine')
            love.graphics.setColor(unpack(self.hit_color))
        end
    end
}
